Subject: Re: bug#64519: [PATCH] gnu: Add freetype-brotli.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 14 Jul 2023 15:25:15 +0200

Hi,

John Kehayias <[email-masked]> skribis:

> I completely forgot there is another patch needed here, one to add freetype-brotli. That is just our freetype package with brotli added as a propagated-input for WOFF font support (if I recall). Attaching the patch now.

OK.

> Actually I think our freetype package should do that as well, but since has nearly 18k dependents that should be grouped with other large changes. I brought this up on guix-devel [0] but didn't get any responses about this change. I think it is not controversial, just how to manage the rebuilds. Perhaps on the next mesa/related branch?

Yes, you should check on IRC or guix-devel whether this change can be
piggybacked on an existing mass-rebuild branch.

> From f5622c12a84d208efefc53af88fe5f284485f2ff Mon Sep 17 00:00:00 2001
> Message-Id: <f5622[email-masked]>
> From: John Kehayias <[email-masked]>
> Date: Fri, 7 Jul 2023 12:05:16 -0400
> Subject: [PATCH] gnu: Add freetype-brotli.
>
> * gnu/packages/fontutils.scm (freetype-brotli): New variable.

[...]

> +(define-public freetype-brotli
> +  (package
> +    (inherit freetype)
> +    (name "freetype-brotli")

Maybe ‘freetype-with-brotli’ as you suggested.   Also please add a TODO
about the eventual merge of this into ‘freetype’.

Thanks!

Ludo’.